Subject: Re: [TR] Stag

From: Frank Magnusson <[email-masked]>
Date: Sat, 6 Apr 2019 14:33:24 -0500

Hi David,

I used to have a non original pump in my otherwise stock Stag; I think it was a Facet pump from a Rover.  It was a cylindrical pump, not the square one that Randall described.  It also never shut off like the stock pumps do, but that could have been also due to a stuck open check valve on one of the carb float bowls...

I hear that these pumps tend to lose their prime in the stock location.  Mine finally quit; it kept clicking like mad but would not pump any fuel.  I've replaced it with the stock SU pump and hope that does the trick.  Hope to have it running in a few weeks.

No clue for the Holley carb.  You might try posting your question on the Stag Facebook group; lots of guys there with all kinds of different setups.

< I have installed a Holley 390 carb in my stag. The directions for install say fuel pressure should be 5-7 psi, more than the stock setup. I am curious as to what others have use as a fuel pump. 
David in Oregon >

Frank

Sent from my iPad
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive